<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Ref_cicilan extends CI_Controller {
	
	var $gparam = array();
	
	public function __construct() {
        parent::__construct();
		$this->gparam['controller'] = $this->router->fetch_class();
		$this->load->model('ref_cicilan_model', 'cicilan_model');
		$this->gparam['privilage'] = getPrivilage($this->gparam['controller']);
		$this->gparam['restrict'] = 'You Cannot Access This Menu';
    }
	
	public function index()
	{
		
		
		if ($this->gparam['privilage']->privilage_view == 'Y') {
			
			$gridopt = $this->input->get(array('psize', 'pnumber'));
			header('Content-Type: text/html');
			
			$create_button = '""';			
			$update_button = '';
			$delete_button = '';		
						
			if ($this->gparam['privilage']->privilage_create == 'Y') {
				//create button
				$create_button = '<a href="javascript:void(0)"  class="btn btn-primary btn-xs" onclick="create_view();" >
									<i class="fa fa-lg fa-fw fa-plus"></i>Create
								  </a>';
			}	
			
			if ($this->gparam['privilage']->privilage_update == 'Y') {
				$update_button = "<a style=\"margin:4px;\" class=\"btn btn-success btn-xs\" onclick=\"edit_view('+row.id+')\" href=\"javascript:void(0)\"\
									group=\"\" data-toggle=\"tooltip\" title=\"Update\"><i class=\"fa fa-lg fa-fw fa-edit\"></i>\
								  </a>";
			}
			
			if ($this->gparam['privilage']->privilage_delete == 'Y') {	
				$delete_button = "<a style=\"margin:4px;\" class=\"btn btn-danger btn-xs\" onclick=\"delete_data('+row.id+')\" href=\"javascript:void(0)\" group=\"\" data-toggle=\"tooltip\" title=\"Delete\">\
									<i class=\"fa fa-lg fa-fw fa-trash-o\"></i>\
								</a>"; 
			}
			
			// pnumber, psize
			$data = array(
					'controller'  			=> $this->gparam['controller'],
					'psize'  				=> (empty($gridopt['psize'])?10:$gridopt['psize']),
					'pnumber'  				=> (empty($gridopt['pnumber'])?1:$gridopt['pnumber']),
					'create' 				=> $create_button,
					'update' 				=> $update_button,
					'delete'				=> $delete_button
			);
			
			$this->load->view('ref_cicilan_view',$data);
		} else {
			echo $this->gparam['restrict'];
		}
		
	}
	
	function form() {
		
		if ($this->gparam['privilage']->privilage_view == 'Y') {
			$data['controller'] = $this->gparam['controller'];				
			$data['action'] = base_url()."index.php/".$this->gparam['controller']."/crud";
			$id = $this->uri->segment(3);	
			
			if (!empty($id)) {
				if ($this->gparam['privilage']->privilage_update == 'Y') {				
					//get value for edit
					$edit = $this->cicilan_model->get_value_edit($id);
					$get_smk = $this->cicilan_model->getDataSMK();
					$nama_smk='<label class="select">
									<select name="smk" onchange="getJurusan(this.value);" >
									<option value="">--Select--</option>';
					
					foreach ($get_smk as $v_smk) {
						if($edit->id_smk==$v_smk['id']){
							$nama_smk .='<option value="'.$v_smk['id'].'" selected>'.$v_smk['name'].'</option>';
						}else{
							$nama_smk .='<option value="'.$v_smk['id'].'">'.$v_smk['name'].'</option>';
						}
					}
					$nama_smk .='</select> <i></i> 
								</label>';
					$data_coa = $this->cicilan_model->get_list_coa('ref_list_uang_masuk');
					$coa = '<label class="select">
						<select name="id_coa" >';
					foreach ($data_coa as $list_coa) {
						if ($edit->id_coa == $list_coa['id']) {							
							$coa .= '<option value="'.$list_coa['id'].'" selected> '.$list_coa['kodedesk'].' - '.$list_coa['kodesub'].' - '.$list_coa['daftarlist'].' </option>';
						} else {							
							$coa .= '<option value="'.$list_coa['id'].'"> '.$list_coa['kodedesk'].' - '.$list_coa['kodesub'].' - '.$list_coa['daftarlist'].' </option>';
						}
							
					}
					
					$coa .= '</select><i></i>
					</label>';
					
					$time_a = strtotime($edit->t_awal);
					$newawal = date('Y-m-d',$time_a);
					
					$time_w = strtotime($edit->t_akhir);
					$newakhir = date('Y-m-d',$time_w);;
					
					//$data['tahun_ajaran'] 			= $edit->tahun_ajaran;
					$data['jenis_pembayaran'] 		= $edit->jenis_pembayaran;
					$data['type_cicil'] 			= $edit->no_type;
					$data['besarnya'] 				= $edit->besarnya;
					$data['id']						= $id;					
					$data['header'] 				= 'Edit Reference Cicilan';
					$data['submit'] 				= 'update';	
					$data['t_awal']					= $newawal; 
					$data['t_akhir']				= $newakhir;
				} else {
					echo $this->gparam['restrict']; die();
				}	
			} else {
				if ($this->gparam['privilage']->privilage_create == 'Y') {					
					$get_smk = $this->cicilan_model->getDataSMK();
					$nama_smk='<label class="select">
									<select name="smk" >
									<option value="">--Select--</option>';
					
					foreach ($get_smk as $v_smk) {
						$nama_smk .='<option value="'.$v_smk['id'].'">'.$v_smk['name'].'</option>';
					}
					$nama_smk .='</select> <i></i> 
								</label>';
					
					$data_coa = $this->cicilan_model->get_list_coa('ref_list_uang_masuk');
					$coa = '<label class="select">
						<select name="id_coa" >';
					foreach ($data_coa as $list_coa) {				
							$coa .= '<option value="'.$list_coa['id'].'"> '.$list_coa['kodedesk'].' - '.$list_coa['kodesub'].' - '.$list_coa['daftarlist'].' </option>';
					}
					
					$coa .= '</select><i></i>
					</label>';
					
					$data['header'] = 'Add Reference Cicilan';
					$data['submit'] = 'create';
				} else {
					echo $this->gparam['restrict']; die();
				}	
			}
			
			//$tahun_ajaran = $this->cicilan_model->get_tahun_ajaran();	
			/*
			if(empty($tahun_ajaran)){
				$data['tahun_ajaran'] = '<input name="tahun_ajaran" value="0000/0000" type="text" id="id-tahun_ajaran">';
			}else{
				$data['tahun_ajaran'] = '<input name="tahun_ajaran" value="'.$tahun_ajaran.'" type="text" id="id-tahun_ajaran">';
			}
			*/
			$data['coa'] 				= $coa;
			$data['nama_smk']  = $nama_smk;
			$this->load->view('crud_cicilan',$data);
		} else {
			echo $this->gparam['restrict'];
		}
	}
	
	public function delete() {
		
		$delete = $this->cicilan_model->delete_data();
		if ($delete) {
			$json = true;
		}
		echo json_encode($json);	
	}
	
	public function crud() {
		
		$crud = $this->input->post('submit');
		if ($crud == 'create') {
			
			$insert = $this->cicilan_model->insert_data();
			if ($insert) {
				$json = true;
			}
			
		} else if ($crud == 'update') {
			$update = $this->cicilan_model->update_data();
			if ($update) {
				$json = true;			
			}
				
		}
		
		echo json_encode($json);
		
	}
	
	function load_data() {
		header('Content-Type: application/jsonp');
        $list = $this->cicilan_model->get_list_data();
		
        echo json_encode($list);
	}
	
	
}
